Qt Reference Documentation

# QML PathQuad Element

The PathQuad defines a quadratic Bezier curve with a control point. More...

This element was introduced in Qt 4.7.

- List of all members, including inherited members

## Properties

- controlX : real
- controlY : real
- x : real
- y : real

## Detailed Description

The following QML produces the path shown below:

     Path {
         startX: 0; startY: 0
         PathQuad { x: 200; y: 0; controlX: 100; controlY: 150 }
     }

See also Path, PathCubic, and PathLine.

## Property Documentation

controlX : real
controlY : real

Defines the position of the control point.

x : real
y : real

Defines the end point of the curve.